[Koha-patches] [PATCH 17/28] Add koha-enable, a script to re-enable a Koha instance.

Lars Wirzenius lars at catalyst.net.nz
Tue May 25 03:44:16 CEST 2010


---
 debian/scripts/koha-enable |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)
 create mode 100644 debian/scripts/koha-enable

diff --git a/debian/scripts/koha-enable b/debian/scripts/koha-enable
new file mode 100644
index 0000000..3ceef2e
--- /dev/null
+++ b/debian/scripts/koha-enable
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# koha-enable -- enable a Koha instance.
+# Copyright 2010  Catalyst IT, Ltd
+# 
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+
+die() {
+    echo "$@" 1>&2
+    exit 1
+}
+
+
+# Parse command line.
+[ "$#" = 1 ] || die "Usage: $0 instancename..."
+
+
+for name in "$@"
+do
+    sed -i 's:^\(\s*Include /etc/koha/apache-shared-disable.conf\)$:#\1:' \
+        "/etc/apache2/sites-available/$name"
+done
+
+/etc/init.d/apache2 restart
-- 
1.7.1




More information about the Koha-patches mailing list